Subject: Re: [abnf-discuss] Experimental support for RFC 7405 in BAP (Bill's ABNF Parser)

From: Bill Fenner <[email-masked]>
Date: Thu, 4 Aug 2016 21:25:33 -0400

Paul Kyzivat updated bap in its official github location last year, and I
finally (bad me) got around to accepting the pull request into
https://github.com/fenner/bap .

I'd be happy to see the two bap implementations re-converge.

  Bill

On Sun, Jan 3, 2016 at 8:34 AM, Julian Reschke <[email-masked]>
wrote:

> Hi there,
>
> in the HTTP(bis) WG group, we've been hacking a bit on "bap" in order to
> support certain HTTP-related features, such as the "#" list notation, or
> reformatting for output in RFCs (line length...).
>
> I recently found some time to add experimental support for RFC 7405,
> see...:
>
>   <https://trac.tools.ietf.org/wg/httpbis/trac/changeset/2749>
>
> If there's sufficient interest, all of this probably should move to a
> proper non-WG related repo, with maintainers more fluent in lex/yacc than I
> am. (*)
>
> Best regards, Julian
>
> (*) With Bill's permission, of course.
>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 5 Aug 2016 00:01:14 -0400

On 8/4/16 9:25 PM, Bill Fenner wrote:
> Paul Kyzivat updated bap in its official github location last year, and
> I finally (bad me) got around to accepting the pull request
> into https://github.com/fenner/bap .

Thanks Bill! Better late than never. :-)

Note that to accompany those changes there ought to be some extensions 
to the driving web page (https://tools.ietf.org/tools/bap/abnf.cgi) to 
enable new options. I didn't know how to do that.

Note that I made more changes to the code for canonicalized output than 
I did to accept %i and %s. It will now output numeric terminal values in 
the form they were input, rather than always in hex, as well as using %s 
when appropriate.

	Thanks,
	Paul

> On Sun, Jan 3, 2016 at 8:34 AM, Julian Reschke <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi there,
>
>     in the HTTP(bis) WG group, we've been hacking a bit on "bap" in
>     order to support certain HTTP-related features, such as the "#" list
>     notation, or reformatting for output in RFCs (line length...).
>
>       <https://trac.tools.ietf.org/wg/httpbis/trac/changeset/2749
>     <https://trac.tools.ietf.org/wg/httpbis/trac/changeset/2749>>
>
>     If there's sufficient interest, all of this probably should move to
>     a proper non-WG related repo, with maintainers more fluent in
>     lex/yacc than I am. (*)
>
>     Best regards, Julian
>
> _______________________________________________
> abnf-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/abnf-discuss
>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 5 Aug 2016 15:53:43 -0400

How does this version get rolled out in 
tools.ietf.org/tools/bap/abnf.cgi ???

	Thanks,
	Paul